## Preference Row

Preference Row — Preference row widget

## Functions

GtkWidget * | font_manager_preference_row_new ()
void | font_manager_preference_row_set_action_widget ()
void | font_manager_preference_row_append_child ()
void | font_manager_preference_row_set_reveal_child ()
GtkWidget * | font_manager_preference_row_get_action_widget ()

## Properties

GtkWidget * | action-widget | Write
char * | icon-name | Read / Write
char * | subtitle | Read / Write
char * | title | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_PREFERENCE_ROW
| FontManagerPreferenceRow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── FontManagerPreferenceRow

## Implemented Interfaces

FontManagerPreferenceRow implements GtkAccessible, GtkBuildable and GtkConstraintTarget.

## Includes

    #include <font-manager-preference-row.h>

## Description

Convenience class to allow quickly creating consistent application preference rows.

## Functions

### font_manager_preference_row_new ()

    GtkWidget *
    font_manager_preference_row_new (const gchar *title,
                                     const gchar *subtitle,
                                     const gchar *icon_name,
                                     GtkWidget *action_widget);

#### Parameters

title | Preference name |
subtitle | Description of preference or `NULL`. | [nullable]
icon_name | Icon to display or `NULL`. | [nullable]
action_widget | GtkWidget to control preference state or `NULL`. | [nullable]

#### Returns

A newly created FontManagerPreferenceRow. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_preference_row_set_action_widget ()

    void
    font_manager_preference_row_set_action_widget
                                   (FontManagerPreferenceRow *self,
                                    GtkWidget *control);

Sets the action widget for `self` .

#### Parameters

self | FontManagerPreferenceRow |
control | GtkWidget. | [nullable]

### font_manager_preference_row_append_child ()

    void
    font_manager_preference_row_append_child
                                   (FontManagerPreferenceRow *parent,
                                    FontManagerPreferenceRow *child);

Appends `child` to `parent` . Children are typically preferences which are dependent on the parents state and are therefore hidden by default.

If the action widget set for `parent` is a GtkSwitch then children will be revealed and concealed automatically when the widget is activated.

Otherwise use font_manager_preference_row_set_reveal_child to control their visibility.

#### Parameters

parent | FontManagerPreferenceRow |
child | FontManagerPreferenceRow |

### font_manager_preference_row_set_reveal_child ()

    void
    font_manager_preference_row_set_reveal_child
                                   (FontManagerPreferenceRow *self,
                                    gboolean visible);

#### Parameters

self | FontManagerPreferenceRow |
visible | `TRUE` to reveal child preferences |

### font_manager_preference_row_get_action_widget ()

    GtkWidget *
    font_manager_preference_row_get_action_widget
                                   (FontManagerPreferenceRow *self);

#### Parameters

self | FontManagerPreferenceRow |

#### Returns

The GtkWidget set using font_manager_preference_row_get_action_widget or `NULL`.

[transfer none][nullable]

## Types and Values

### FONT_MANAGER_TYPE_PREFERENCE_ROW

    #define FONT_MANAGER_TYPE_PREFERENCE_ROW (font_manager_preference_row_get_type ())

### FontManagerPreferenceRow

    typedef struct _FontManagerPreferenceRow FontManagerPreferenceRow;

## Property Details

### The `“action-widget”` property

      “action-widget”            GtkWidget *

Widget to control preference state.

Owner: FontManagerPreferenceRow

Flags: Write

### The `“icon-name”` property

      “icon-name”                char *

Named icon to display.

Owner: FontManagerPreferenceRow

Flags: Read / Write

Default value: NULL

### The `“subtitle”` property

      “subtitle”                 char *

Short description of preference.

Owner: FontManagerPreferenceRow

Flags: Read / Write

Default value: NULL

### The `“title”` property

      “title”                    char *

Name of preference.

Owner: FontManagerPreferenceRow

Flags: Read / Write

Default value: NULL